Get or create a personal access token
curl --request GET \
--url https://{controlPlaneURL}/api/svc/v1/personal-access-tokens/{name} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{controlPlaneURL}/api/svc/v1/personal-access-tokens/{name}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{controlPlaneURL}/api/svc/v1/personal-access-tokens/{name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "jqfwg345gi25n5ju2yz5iz6m",
"type": "<string>",
"tenantName": "<string>",
"createdBySubject": {
"subjectId": "<string>",
"subjectSlug": "<string>",
"subjectDisplayName": "<string>",
"subjectPatName": "<string>",
"subjectControllerName": "<string>",
"subjectExternalIdentitySlug": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"accountId": "<string>",
"manifest": {
"name": "<string>",
"type": "virtual-account",
"permissions": [
{
"resource_fqn": "<string>",
"resource_type": "<string>",
"role_id": "<string>"
}
],
"expiration_date": "<string>",
"auto_rotate": {
"auto_rotate_interval": 360,
"grace_period": 30
},
"notification_target": {
"type": "email",
"notification_channel": "<string>",
"to_emails": [
"<string>"
]
},
"secret_store_config": {
"integration_fqn": "<string>",
"secret_path": "<string>"
},
"ownedBy": {
"team": "<string>",
"account": "<string>"
},
"tags": {},
"identity_provider_mapping": [
{
"identity_provider": "<string>",
"value": "<string>"
}
]
},
"jwtId": "<string>",
"lastAccessedAt": "2023-11-07T05:31:56Z",
"isExpired": true,
"jwts": [
{
"id": "<string>",
"subjectType": "<string>",
"subjectId": "<string>",
"expiry": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"metadata": {}
}
],
"metadata": {},
"roleIds": [
"<string>"
],
"rolesWithResource": [
{
"roleId": "<string>",
"resourceId": "<string>",
"roleName": "<string>"
}
],
"createdBy": "<string>",
"nextScheduledRotation": "<string>"
},
"token": "<string>",
"created": true
}{
"statusCode": 123,
"message": "<string>",
"code": 123,
"details": [
{}
]
}Personal Access Tokens
Get or create a personal access token
Get an existing personal access token by name. If none exists, a new one is created and returned with a fresh token.
GET
/
api
/
svc
/
v1
/
personal-access-tokens
/
{name}
Get or create a personal access token
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Team name that owns this PAT when a new PAT is created
Response
The personal access token data and authentication token.
Was this page helpful?
⌘I